const Router = VueRouter;
const routes = [
    //默认跳转到登录页
    {
        path: "/",
        redirect: "/login"
    },
    //登录页
    {
        path: '/login',
        component: () => import('@/views/login/index'),
        hidden: true
    },
    //忘记密码
    {
        path: '/forget-password',
        component: () => import('@/views/login/forget-password'),
        hidden: true,
        noCache: true
    },

];
const router = new Router({
    // mode: "history",
    // base: process.env.BASE_URL,
    scrollBehavior: () => ({ y: 0 }),
    routes
});

// 重写路由的push方法，主要是为了解决同一个路由路径重复点击报错
const routerPush = Router.prototype.push;
Router.prototype.push = function push(location) {
    return routerPush.call(this, location).catch(error => error);
};
Vue.use(Router);
export default router;
